diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/model/fd-net-device.h ns-3.44/src/fd-net-device/model/fd-net-device.h
--- ns-3.43/src/fd-net-device/model/fd-net-device.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/model/fd-net-device.h	2025-03-09 16:55:49.379371200 -0700
@@ -30,14 +30,14 @@
 {
 
 /**
- * \defgroup fd-net-device File Descriptor Network Device
+ * @defgroup fd-net-device File Descriptor Network Device
  * This section documents the API of the ns-3 fd-net-device module.
  * For a generic functional description, please refer to the ns-3 manual.
  */
 
 /**
- * \ingroup fd-net-device
- * \brief This class performs the actual data reading from the sockets.
+ * @ingroup fd-net-device
+ * @brief This class performs the actual data reading from the sockets.
  */
 class FdNetDeviceFdReader : public FdReader
 {
@@ -46,7 +46,7 @@
 
     /**
      * Set size of the read buffer.
-     * \param bufferSize the buffer size
+     * @param bufferSize the buffer size
      */
     void SetBufferSize(uint32_t bufferSize);
 
@@ -59,9 +59,9 @@
 class Node;
 
 /**
- * \ingroup fd-net-device
+ * @ingroup fd-net-device
  *
- * \brief a NetDevice to read/write network traffic from/into a file descriptor.
+ * @brief a NetDevice to read/write network traffic from/into a file descriptor.
  *
  * A FdNetDevice object will read and write frames/packets from/to a file descriptor.
  * This file descriptor might be associated to a Linux TAP/TUN device, to a socket
@@ -73,8 +73,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -109,7 +109,7 @@
     /**
      * Set the link layer encapsulation mode of this device.
      *
-     * \param mode The link layer encapsulation mode of this device.
+     * @param mode The link layer encapsulation mode of this device.
      *
      */
     void SetEncapsulationMode(FdNetDevice::EncapsulationMode mode);
@@ -117,13 +117,13 @@
     /**
      * Get the link layer encapsulation mode of this device.
      *
-     * \returns The link layer encapsulation mode of this device.
+     * @returns The link layer encapsulation mode of this device.
      */
     FdNetDevice::EncapsulationMode GetEncapsulationMode() const;
 
     /**
      * Set the associated file descriptor.
-     * \param fd the file descriptor
+     * @param fd the file descriptor
      */
     void SetFileDescriptor(int fd);
 
@@ -172,20 +172,20 @@
 
     /**
      * Set if the NetDevice is able to send Broadcast messages
-     * \param broadcast true if the NetDevice can send Broadcast
+     * @param broadcast true if the NetDevice can send Broadcast
      */
     virtual void SetIsBroadcast(bool broadcast);
     /**
      * Set if the NetDevice is able to send Multicast messages
-     * \param multicast true if the NetDevice can send Multicast
+     * @param multicast true if the NetDevice can send Multicast
      */
     virtual void SetIsMulticast(bool multicast);
 
     /**
      * Write packet data to device.
-     * \param buffer The data.
-     * \param length The data length.
-     * \return The size of data written.
+     * @param buffer The data.
+     * @param length The data length.
+     * @return The size of data written.
      */
     virtual ssize_t Write(uint8_t* buffer, size_t length);
 
@@ -199,27 +199,27 @@
 
     /**
      * Get the associated file descriptor.
-     * \return the associated file descriptor
+     * @return the associated file descriptor
      */
     int GetFileDescriptor() const;
 
     /**
      * Allocate packet buffer.
-     * \param len the length of the buffer
-     * \return A pointer to the newly allocated buffer.
+     * @param len the length of the buffer
+     * @return A pointer to the newly allocated buffer.
      */
     virtual uint8_t* AllocateBuffer(size_t len);
 
     /**
      * Free the given packet buffer.
-     * \param buf the buffer to free
+     * @param buf the buffer to free
      */
     virtual void FreeBuffer(uint8_t* buf);
 
     /**
      * Callback to invoke when a new frame is received
-     * \param buf a buffer containing the received frame
-     * \param len the length of the frame
+     * @param buf a buffer containing the received frame
+     * @param len the length of the frame
      */
     void ReceiveCallback(uint8_t* buf, ssize_t len);
 
@@ -246,7 +246,7 @@
 
     /**
      * Create the FdReader object
-     * \return the created FdReader object
+     * @return the created FdReader object
      */
     virtual Ptr<FdReader> DoCreateFdReader();
 
@@ -382,7 +382,7 @@
      * The trace source fired when packets come into the "top" of the device
      * at the L3/L2 transition, before being queued for transmission.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macTxTrace;
 
@@ -390,7 +390,7 @@
      * The trace source fired when packets coming into the "top" of the device
      * at the L3/L2 transition are dropped before being queued for transmission.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macTxDropTrace;
 
@@ -399,7 +399,7 @@
      * immediately before being forwarded up to higher layers (at the L2/L3
      * transition).  This is a promiscuous trace.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macPromiscRxTrace;
 
@@ -408,7 +408,7 @@
      * immediately before being forwarded up to higher layers (at the L2/L3
      * transition).  This is a non-promiscuous trace.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macRxTrace;
 
@@ -417,7 +417,7 @@
      * but which are dropped before being forwarded up to higher layers (at the
      * L2/L3 transition).
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macRxDropTrace;
 
@@ -425,16 +425,16 @@
      * The trace source fired when the phy layer drops a packet as it tries
      * to transmit it.
      *
-     * \todo Remove: this TracedCallback is never invoked.
+     * @todo Remove: this TracedCallback is never invoked.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyTxDropTrace;
 
     /**
      * The trace source fired when the phy layer drops a packet it has received.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyRxDropTrace;
 
@@ -454,7 +454,7 @@
      * this would correspond to the point at which the packet is dispatched to
      * packet sniffers in netif_receive_skb.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_snifferTrace;
 
@@ -474,7 +474,7 @@
      * this would correspond to the point at which the packet is dispatched to
      * packet sniffers in netif_receive_skb.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_promiscSnifferTrace;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/model/netmap-net-device.h ns-3.44/src/fd-net-device/model/netmap-net-device.h
--- ns-3.43/src/fd-net-device/model/netmap-net-device.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/model/netmap-net-device.h	2025-03-09 16:55:49.379371200 -0700
@@ -22,9 +22,9 @@
 {
 
 /**
- * \ingroup fd-net-device
+ * @ingroup fd-net-device
  *
- * \brief Network device transmission queue with lock
+ * @brief Network device transmission queue with lock
  *
  * This class stores information about a single transmission queue
  * of a network device that is exposed to queue discs. This class extends
@@ -35,8 +35,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -63,8 +63,8 @@
     virtual void Wake();
 
     /**
-     * \brief Get the status of the device transmission queue.
-     * \return true if the device transmission queue is stopped.
+     * @brief Get the status of the device transmission queue.
+     * @return true if the device transmission queue is stopped.
      *
      * Called by queue discs to enquire about the status of a given transmission queue.
      * This is the analogous to the netif_xmit_stopped function of the Linux kernel.
@@ -72,14 +72,14 @@
     virtual bool IsStopped() const;
 
     /**
-     * \brief Called by the netdevice to report the number of bytes queued to the device queue
-     * \param bytes number of bytes queued to the device queue
+     * @brief Called by the netdevice to report the number of bytes queued to the device queue
+     * @param bytes number of bytes queued to the device queue
      */
     virtual void NotifyQueuedBytes(uint32_t bytes);
 
     /**
-     * \brief Called by the netdevice to report the number of bytes it is going to transmit
-     * \param bytes number of bytes the device is going to transmit
+     * @brief Called by the netdevice to report the number of bytes it is going to transmit
+     * @param bytes number of bytes the device is going to transmit
      */
     virtual void NotifyTransmittedBytes(uint32_t bytes);
 
@@ -88,9 +88,9 @@
 };
 
 /**
- * \ingroup fd-net-device
+ * @ingroup fd-net-device
  *
- * \brief This class performs the actual data reading from the netmap ring.
+ * @brief This class performs the actual data reading from the netmap ring.
  */
 class NetmapNetDeviceFdReader : public FdReader
 {
@@ -98,14 +98,14 @@
     NetmapNetDeviceFdReader();
 
     /**
-     * \brief Set size of the read buffer.
-     * \param bufferSize the size of the read buffer
+     * @brief Set size of the read buffer.
+     * @param bufferSize the size of the read buffer
      */
     void SetBufferSize(uint32_t bufferSize);
 
     /**
-     * \brief Set netmap interface representation.
-     * \param nifp the netmap interface representation
+     * @brief Set netmap interface representation.
+     * @param nifp the netmap interface representation
      */
     void SetNetmapIfp(struct netmap_if* nifp);
 
@@ -117,9 +117,9 @@
 };
 
 /**
- * \ingroup fd-net-device
+ * @ingroup fd-net-device
  *
- * \brief a NetDevice to read/write network traffic from/into a netmap file descriptor.
+ * @brief a NetDevice to read/write network traffic from/into a netmap file descriptor.
  *
  * A NetmapNetDevice object will read and write packets from/to a netmap file descriptor.
  *
@@ -128,8 +128,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -137,48 +137,48 @@
     virtual ~NetmapNetDevice();
 
     /**
-     * \brief Get the number of bytes currently in the netmap transmission ring.
-     * \return the number of bytes in the netmap transmission ring.
+     * @brief Get the number of bytes currently in the netmap transmission ring.
+     * @return the number of bytes in the netmap transmission ring.
      */
     uint32_t GetBytesInNetmapTxRing();
 
     /**
-     * \brief Get the number of slots currently available in the netmap transmission ring.
-     * \return the number of slots currently available in the netmap transmission ring.
+     * @brief Get the number of slots currently available in the netmap transmission ring.
+     * @return the number of slots currently available in the netmap transmission ring.
      */
     int GetSpaceInNetmapTxRing() const;
 
     /**
-     * \brief Set the NetDeviceQueue
-     * \param queue the NetDeviceQueue
+     * @brief Set the NetDeviceQueue
+     * @param queue the NetDeviceQueue
      */
     void SetNetDeviceQueue(Ptr<NetDeviceQueue> queue);
 
     /**
-     * \brief Set the netmap interface representation
-     * \param nifp the pointer to netmap interface representation
+     * @brief Set the netmap interface representation
+     * @param nifp the pointer to netmap interface representation
      */
     void SetNetmapInterfaceRepresentation(struct netmap_if* nifp);
 
     /**
-     * \brief Set the netmap transmission rings info
-     * \param nTxRings the number of transmission rings
-     * \param nTxRingsSlots the number of slots for each transmission ring
+     * @brief Set the netmap transmission rings info
+     * @param nTxRings the number of transmission rings
+     * @param nTxRingsSlots the number of slots for each transmission ring
      */
     void SetTxRingsInfo(uint32_t nTxRings, uint32_t nTxRingsSlots);
 
     /**
-     * \brief Set the netmap receiver rings info
-     * \param nRxRings the number of receiver rings
-     * \param nRxRingsSlots the number of slots for each receiver ring
+     * @brief Set the netmap receiver rings info
+     * @param nRxRings the number of receiver rings
+     * @param nRxRingsSlots the number of slots for each receiver ring
      */
     void SetRxRingsInfo(uint32_t nRxRings, uint32_t nRxRingsSlots);
 
     /**
-     * \brief The function Writes a packet into the netmap transmission ring.
-     * \param buffer the pointer to packet
-     * \param length the packet length
-     * \return the number of written bytes
+     * @brief The function Writes a packet into the netmap transmission ring.
+     * @param buffer the pointer to packet
+     * @param length the packet length
+     * @return the number of written bytes
      */
     virtual ssize_t Write(uint8_t* buffer, size_t length);
 
@@ -188,7 +188,7 @@
     void DoFinishStoppingDevice();
 
     /**
-     * \brief This function syncs netmap ring and notifies netdevice queue.
+     * @brief This function syncs netmap ring and notifies netdevice queue.
      * This function runs in a separate thread.
      */
     virtual void SyncAndNotifyQueue();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/flow-monitor/examples/wifi-olsr-flowmon.py ns-3.44/src/flow-monitor/examples/wifi-olsr-flowmon.py
--- ns-3.43/src/flow-monitor/examples/wifi-olsr-flowmon.py	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/flow-monitor/examples/wifi-olsr-flowmon.py	2025-03-09 16:55:49.379371200 -0700
@@ -114,7 +114,7 @@
     monitor.SetAttribute("JitterBinWidth", ns.DoubleValue(0.001))
     monitor.SetAttribute("PacketSizeBinWidth", ns.DoubleValue(20))
 
-    ns.Simulator.Stop(ns.Seconds(44.0))
+    ns.Simulator.Stop(ns.Seconds(44))
     ns.Simulator.Run()
 
     def print_stats(os, st):
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/flow-monitor/helper/flow-monitor-helper.h ns-3.44/src/flow-monitor/helper/flow-monitor-helper.h
--- ns-3.43/src/flow-monitor/helper/flow-monitor-helper.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/flow-monitor/helper/flow-monitor-helper.h	2025-03-09 16:55:49.379371200 -0700
@@ -23,8 +23,8 @@
 class Ipv6FlowClassifier;
 
 /**
- * \ingroup flow-monitor
- * \brief Helper to enable IP flow monitoring on a set of Nodes
+ * @ingroup flow-monitor
+ * @brief Helper to enable IP flow monitoring on a set of Nodes
  */
 class FlowMonitorHelper
 {
@@ -37,54 +37,54 @@
     FlowMonitorHelper& operator=(const FlowMonitorHelper&) = delete;
 
     /**
-     * \brief Set an attribute for the to-be-created FlowMonitor object
-     * \param n1 attribute name
-     * \param v1 attribute value
+     * @brief Set an attribute for the to-be-created FlowMonitor object
+     * @param n1 attribute name
+     * @param v1 attribute value
      */
     void SetMonitorAttribute(std::string n1, const AttributeValue& v1);
 
     /**
-     * \brief Enable flow monitoring on a set of nodes
-     * \param nodes A NodeContainer holding the set of nodes to work with.
-     * \returns a pointer to the FlowMonitor object
+     * @brief Enable flow monitoring on a set of nodes
+     * @param nodes A NodeContainer holding the set of nodes to work with.
+     * @returns a pointer to the FlowMonitor object
      */
     Ptr<FlowMonitor> Install(NodeContainer nodes);
     /**
-     * \brief Enable flow monitoring on a single node
-     * \param node A Ptr<Node> to the node on which to enable flow monitoring.
-     * \returns a pointer to the FlowMonitor object
+     * @brief Enable flow monitoring on a single node
+     * @param node A Ptr<Node> to the node on which to enable flow monitoring.
+     * @returns a pointer to the FlowMonitor object
      */
     Ptr<FlowMonitor> Install(Ptr<Node> node);
     /**
-     * \brief Enable flow monitoring on all nodes
-     * \returns a pointer to the FlowMonitor object
+     * @brief Enable flow monitoring on all nodes
+     * @returns a pointer to the FlowMonitor object
      */
     Ptr<FlowMonitor> InstallAll();
 
     /**
-     * \brief Retrieve the FlowMonitor object created by the Install* methods
-     * \returns a pointer to the FlowMonitor object
+     * @brief Retrieve the FlowMonitor object created by the Install* methods
+     * @returns a pointer to the FlowMonitor object
      */
     Ptr<FlowMonitor> GetMonitor();
 
     /**
-     * \brief Retrieve the FlowClassifier object for IPv4 created by the Install* methods
-     * \returns a pointer to the FlowClassifier object
+     * @brief Retrieve the FlowClassifier object for IPv4 created by the Install* methods
+     * @returns a pointer to the FlowClassifier object
      */
     Ptr<FlowClassifier> GetClassifier();
 
     /**
-     * \brief Retrieve the FlowClassifier object for IPv6 created by the Install* methods
-     * \returns a pointer to the FlowClassifier object
+     * @brief Retrieve the FlowClassifier object for IPv6 created by the Install* methods
+     * @returns a pointer to the FlowClassifier object
      */
     Ptr<FlowClassifier> GetClassifier6();
 
     /**
      * Serializes the results to an std::ostream in XML format
-     * \param os the output stream
-     * \param indent number of spaces to use as base indentation level
-     * \param enableHistograms if true, include also the histograms in the output
-     * \param enableProbes if true, include also the per-probe/flow pair statistics in the output
+     * @param os the output stream
+     * @param indent number of spaces to use as base indentation level
+     * @param enableHistograms if true, include also the histograms in the output
+     * @param enableProbes if true, include also the per-probe/flow pair statistics in the output
      */
     void SerializeToXmlStream(std::ostream& os,
                               uint16_t indent,
@@ -93,18 +93,18 @@
 
     /**
      * Same as SerializeToXmlStream, but returns the output as a std::string
-     * \param indent number of spaces to use as base indentation level
-     * \param enableHistograms if true, include also the histograms in the output
-     * \param enableProbes if true, include also the per-probe/flow pair statistics in the output
-     * \return the XML output as string
+     * @param indent number of spaces to use as base indentation level
+     * @param enableHistograms if true, include also the histograms in the output
+     * @param enableProbes if true, include also the per-probe/flow pair statistics in the output
+     * @return the XML output as string
      */
     std::string SerializeToXmlString(uint16_t indent, bool enableHistograms, bool enableProbes);
 
     /**
      * Same as SerializeToXmlStream, but writes to a file instead
-     * \param fileName name or path of the output file that will be created
-     * \param enableHistograms if true, include also the histograms in the output
-     * \param enableProbes if true, include also the per-probe/flow pair statistics in the output
+     * @param fileName name or path of the output file that will be created
+     * @param enableHistograms if true, include also the histograms in the output
+     * @param enableProbes if true, include also the per-probe/flow pair statistics in the output
      */
     void SerializeToXmlFile(std::string fileName, bool enableHistograms, bool enableProbes);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/flow-monitor/model/flow-classifier.h ns-3.44/src/flow-monitor/model/flow-classifier.h
--- ns-3.43/src/flow-monitor/model/flow-classifier.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/flow-monitor/model/flow-classifier.h	2025-03-09 16:55:49.379371200 -0700
@@ -17,18 +17,18 @@
 {
 
 /**
- * \ingroup flow-monitor
- * \brief Abstract identifier of a packet flow
+ * @ingroup flow-monitor
+ * @brief Abstract identifier of a packet flow
  */
 typedef uint32_t FlowId;
 
 /**
- * \ingroup flow-monitor
- * \brief Abstract identifier of a packet within a flow
+ * @ingroup flow-monitor
+ * @brief Abstract identifier of a packet within a flow
  */
 typedef uint32_t FlowPacketId;
 
-/// \ingroup flow-monitor
+/// @ingroup flow-monitor
 /// Provides a method to translate raw packet data into abstract
 /// `flow identifier` and `packet identifier` parameters.  These
 /// identifiers are unsigned 32-bit integers that uniquely identify a
@@ -53,19 +53,19 @@
     FlowClassifier& operator=(const FlowClassifier&) = delete;
 
     /// Serializes the results to an std::ostream in XML format
-    /// \param os the output stream
-    /// \param indent number of spaces to use as base indentation level
+    /// @param os the output stream
+    /// @param indent number of spaces to use as base indentation level
     virtual void SerializeToXmlStream(std::ostream& os, uint16_t indent) const = 0;
 
   protected:
     /// Returns a new, unique Flow Identifier
-    /// \returns a new FlowId
+    /// @returns a new FlowId
     FlowId GetNewFlowId();
 
     ///
-    /// \brief Add a number of spaces for indentation purposes.
-    /// \param os The stream to write to.
-    /// \param level The number of spaces to add.
+    /// @brief Add a number of spaces for indentation purposes.
+    /// @param os The stream to write to.
+    /// @param level The number of spaces to add.
     void Indent(std::ostream& os, uint16_t level) const;
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/flow-monitor/model/flow-monitor.cc ns-3.44/src/flow-monitor/model/flow-monitor.cc
--- ns-3.43/src/flow-monitor/model/flow-monitor.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/flow-monitor/model/flow-monitor.cc	2025-03-09 16:55:49.379371200 -0700
@@ -37,12 +37,12 @@
                 "MaxPerHopDelay",
                 ("The maximum per-hop delay that should be considered.  "
                  "Packets still not received after this delay are to be considered lost."),
-                TimeValue(Seconds(10.0)),
+                TimeValue(Seconds(10)),
                 MakeTimeAccessor(&FlowMonitor::m_maxPerHopDelay),
                 MakeTimeChecker())
             .AddAttribute("StartTime",
                           ("The time when the monitoring starts."),
-                          TimeValue(Seconds(0.0)),
+                          TimeValue(Seconds(0)),
                           MakeTimeAccessor(&FlowMonitor::Start),
                           MakeTimeChecker())
             .AddAttribute("DelayBinWidth",
@@ -116,7 +116,7 @@
         ref.jitterSum = Seconds(0);
         ref.lastDelay = Seconds(0);
         ref.maxDelay = Seconds(0);
-        ref.minDelay = Seconds(std::numeric_limits<double>::max());
+        ref.minDelay = Time::Max();
         ref.txBytes = 0;
         ref.rxBytes = 0;
         ref.txPackets = 0;
@@ -225,7 +225,7 @@
     if (stats.rxPackets > 0)
     {
         Time jitter = stats.lastDelay - delay;
-        if (jitter > Seconds(0))
+        if (jitter.IsStrictlyPositive())
         {
             stats.jitterSum += jitter;
             stats.jitterHistogram.AddValue(jitter.GetSeconds());
